:root{
    --bg: #ffffff;
    --text: #111111;
    --water: #81ABF9;
}

body.dark-mode{
    --bg: #1e1e1e;
    --text: #ffffff;
    --water: #6E5191;
}

body{
    margin: 0;
    font-family: 'Koho', sans-serif;
    height: 100vh;
    background-color: #fff; 
    background-color: var(--bg);
    color: var(--text);
    display: flex;
    flex-direction: column;
}

.dark-mode-toggle{
    position: absolute;
    top: 10px;
    left: 10px;
    cursor: pointer;
    z-index: 10;
    transition: transform 0.2s ease;
    pointer-events: auto;
}

.dark-mode-toggle:hover{
    transform: scale(1.1);
}

.icon-moon{
    display: none;
}

body.dark-mode .icon-sun{
    display: none;
}

body.dark-mode .icon-moon{
    display: block;
}

.dark-mode-toggle svg{
    transition: opacity 0.25s ease, transform 0.25s ease;
}

body:not(.dark-mode) .icon-sun{
    opacity: 1;
    transform: scale(1);
}

body:not(.dark-mode) .icon-moon {
    opacity: o;
    transform: scale(0.8);
}

body.dark-mode .icon-moon{
    opacity: 1;
    transform: scale(1);
}

.content{
    display: block;
    text-align: center;
    width: 100%;
    align-items: center;
    margin-bottom: 0;
}

.name{
    font-size: 1.5rem;
    text-shadow: 0px 2px 3px rgba(0,0,0,0.35)
}

.name h1{ 
    margin-bottom: 0;
}

.name h3{
    margin-top: 0;
    margin-bottom: 10px;
}

.icons{
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateX(20px);
    filter: drop-shadow(0px 2px 0px rgba(0,0,0,0.15));
    transition: transform 0.25s ease, filter 0.25s ease;
    position: relative;
    z-index: 300;
}


.home{
    cursor: pointer;
    transition: transform 0.25s ease;
    transform-origin: center;
    margin-bottom: 2.7rem;
    margin-right: 2rem;
    
}

.home:hover{
    transform: scale(1.15);
}

.home img{
    width: 2.1rem;
    height: 1.8rem;
}

.link{
    cursor: pointer;
    transition: transform 0.25s ease;
    transform-origin: center;
    
}

.link:hover{
    transform: scale(1.15);
}

.link-wrapper {
  position: relative;
  display: inline-block;
  z-index: 10;
}

.tooltip {
  display: none;
  position: absolute;
  top: 50%; /* appears below the icon */
  left: 25%;
  transform: translateX(-50%);
  background-color: rgba(255, 217, 46);
  border: 1px solid  rgba(0, 0, 0);
  border-radius: 6px;
  padding: 8px 12px;
  box-shadow: 0 4px 10px rgba(0,0,0,0.15);
  z-index: 10;
  white-space: nowrap;
  flex-direction: column;
  gap: 6px;
}

.tooltip a {
  display: block;
  text-decoration: none;
  color: #000000;
  padding: 4px 0;
}

.tooltip a:hover {
  text-decoration: underline;
}

.link-wrapper:hover .tooltip {
  display: flex;
}

.work{
   cursor: pointer;
    transition: transform 0.25s ease;
    transform-origin: center;
}

.work:hover{
    transform: scale(1.15);
}

.contact{
    cursor: pointer;
    transition: transform 0.25s ease;
    transform-origin: center;
}

.contact:hover{
    transform: scale(1.15);
}

.profile{
    display: flex;
    justify-content: space-between;
    padding: 0 4rem;
    gap: 3rem;
    margin-top: 0;
    max-width: 75rem;
    align-items: center;
    flex: 1;
}


.profile img{
    max-width: 20rem;
    border-radius: 15%;
    filter: drop-shadow(0px 5px 3px rgba(0,0,0,0.35));
    position: relative;
}

.para{
   align-items: center;
   font-size: 1.10rem;
}

.footer-container{
    width: 100%;
    position: relative;
    height: 220px;
    overflow: hidden;
    flex-shrink: 0;
}

.ship{
    position: absolute;
    left: 60%;
    top: 1rem;
    transform: translateX(-15%);
    width: 120px;
    z-index: 2;
    filter: drop-shadow(0px 5px 3px rgba(10, 18, 133, 0.35));
}

#waveCanvas{
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    display: block;
    z-index: 1;
}

@media (max-width: 992px) {
.profile{
    flex-direction: column;
}

}

@media (max-width: 700px) {
    .profile{
        gap: 1rem;
        padding: 0 2rem;
    }
    
    .profile img{
        max-width: 250px;
    }


}